Create a new image from file or URL

- « imagecreate

- imagecreatefrombmp »

- PHP Manual
- GD and Image Functions
- Create a new image from file or URL

# imagecreatefromavif

(PHP 8 >= 8.1.0)

imagecreatefromavif — Create a new image from file or URL

### Description

imagecreatefromavif(string `$filename`): GdImage|false

imagecreatefromavif() returns an image object representing the image obtained from the given filename.

### Parameters

`filename`

  Path to the AVIF raster image.

### Return Values

Returns an image object on success, `false` on errors.